class defaultProgressDialog():
    def __init__(self) -> None:
        pass

    def create(self, heading, message):
        print(f"{heading}\n{message}")

    def update(self, percent, message):
        print(f"[{percent}%] {message}")

    def close(self):
        return